/* ABOUT — О компании*/

.bj-about {
    --about-dark: #20000A;
    --about-light: #F9F8F3;
    --about-cream: #ECE8E5;
    background: var(--about-light);
    color: var(--about-dark);
}

/* Hero */
.bj-about__hero {
    position: relative;
    height: 763px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
.bj-about__hero-bg {
    position: absolute;
    inset: 0;
    background-size: cover;
    background-position: center;
    background-color: #1a1a1a;
}
.bj-about__hero-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.44);
}
.bj-about__hero-content {
    position: relative;
    z-index: 1;
    text-align: center;
    padding-top: 39px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.bj-about__hero-logo {
    width: 200px;
    height: auto;
    margin: 0 auto;
}
.bj-about__hero-tagline {
    font-size: 30px;
    font-weight: 300;
    font-style: italic;
    color: var(--about-light);
    letter-spacing: -0.16px;
}

/* Секции */
.bj-about__section {
    position: relative;
}
article.bj-about {
    background: rgba(230, 224, 215, 1);
}
.bj-about__section--light {
    background: rgba(230, 224, 215, 1);
    color: var(--about-dark);
    padding-bottom: 41px;
}
.bj-about__section--dark {
    background: var(--about-dark);
    color: var(--about-light);
    min-height: 758px;
    height: 100%;
}
.bj-about__section-bg {
    position: absolute;
    inset: 0;
    background-size: cover;
    background-position: center;
    z-index: 1;
}
.bj-about__section--dark .bj-about__container {
    position: relative;
    z-index: 1;
}

.bj-about__container {
    max-width: 1500px;
    margin: 0 auto;
    padding: 0 58px;
}
.bj-about__container--narrow {
    max-width: 588px;
}
.bj-about__container--split {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    gap: 2px;
    position: relative;
    z-index: 2;
    max-width: 1920px;
    margin: 0 auto;
    padding: 134px 58px 0;
}
.bj-about__split-text {
    text-align: left;
    font-weight: 300;
    font-size: 20px;
    line-height: 120%;
    letter-spacing: 0;
    vertical-align: middle;
    max-width: 588px;
}
.bj-about__split-text-two {
    text-align: left;
    font-weight: 300;
    font-size: 20px;
    line-height: 100%;
    letter-spacing: 0;
    vertical-align: middle;
    margin-top: 24px;
}
.bj-about__section--first {
    padding: 62px 0 101px;
    max-width: 1480px;
    margin: 0 auto;
}

/*Мы – не реконструкторы*/
.bj-about__section--rec {
    padding: 101px 0 20px;
}

.bj-rec__container {
}

.bj-rec__title {
    font-weight: 400;
    font-size: 40px;
    line-height: 120%;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    width: 100%;
    margin-bottom: 6px;
}

.bj-rec__text {
    font-weight: 300;
    width: 100%;
    font-size: 20px;
    line-height: 120%;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    max-width: 1200px;
    margin: 40px auto;
}

.bj-rec__text--center {
    text-align: center;
}
.bj-rec__gallery {
    display: flex;
    gap: 5px;
}
.bj-rec__gallery-item {
    width: 100%;
    aspect-ratio: 624 / 762;

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #e0e0e0;
    border-radius: 0;
}

/* Для планшетов */
@media (max-width: 1919px) {
    .bj-about__values {
        padding: 40px 58px 0;
    }
}
@media (max-width: 1024px) {
    .bj-rec__gallery-item {
        aspect-ratio: 3 / 4;
    }
}

/* Для мобильных */
@media (max-width: 768px) {
    .bj-rec__gallery-item {
        aspect-ratio: 4 / 5;
    }
}

/*НАША МИССИЯ*/
.bj-mission__section {
    padding-top: 80px;
    position: relative;
    padding-bottom: 128px;
}
.bj-mission__container {
    padding: 0 58px;
    margin: 0 auto;
}
.bj-mission__title {
    font-weight: 400;
    font-size: 40px;
    line-height: 120%;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    color: #20000A;
    margin-bottom: 42px;
}
.bj-mission__text {
    font-weight: 300;
    font-size: 20px;
    line-height: 120%;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    color: #20000A;
    margin: 0 auto;
    max-width: 1100px;
    width: 100%;
}
.bj-mission__gallery {
    display: flex;
    margin-top: 39px;
    gap: 24px;
}
.bj-about__gallery-item {
    width: 100%;
    aspect-ratio: 588 / 588;

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #e0e0e0;
    border-radius: 0;
}

/* Для планшетов */
@media (max-width: 1024px) {
    .bj-about__gallery-item {
        aspect-ratio: 3 / 4;
    }
}

/* Для мобильных */
@media (max-width: 768px) {
    .bj-about__gallery-item {
        aspect-ratio: 4 / 5;
    }
}

/*STORY*/
.bj-story__section {
    position: relative;
}
.bj-story__bg {
    width: 100%;
    aspect-ratio: 16 / 9;
    max-height: 816px;
    min-height: 636px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    z-index: 1;
}

.bj-about__story-card {
    position: absolute;
    background: rgba(230, 224, 215, 1);
    width: 628px;
    padding: 63px 0 80px;
    text-align: center;
    z-index: 2;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 100%;
}
.bj-about__story-img {
    width: 436px;
    height: 304px;
    margin: 0 auto 46px;
    background-size: cover;
    background-position: center;
    background-color: #e0e0e0;
}
.bj-story__title {
    font-weight: 400;
    font-size: 40px;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    line-height: 120%;
    color: #20000A;
}
.bj-story__tex {
    color: #20000A;
    font-weight: 300;
    font-size: 20px;
    line-height: 120%;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    margin-top: 42px;
}
@media (max-width: 768px) {
    .bj-story__tex br {
        display: none;
    }
}

/*TARGET*/
.bj-target__section {
    padding-top: 100px;
}
.bj-about__title--xl {
    font-weight: 400;
    font-size: 40px;
    line-height: 48px;
    letter-spacing: -0.16px;
    text-align: center;
    vertical-align: middle;
}

.bj-about__values {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 40px;
    padding-top: 40px;
}
.bj-about__value {
    display: flex;
    align-items: center;
    gap: 40px;
    max-width: 100%;
}
.bj-about__value:nth-child(2) .bj-about__value-icon {
    background-image: url("/local/templates/bojeni/img/2.svg");
}
.bj-about__value:nth-child(3) .bj-about__value-icon {
    background-image: url("/local/templates/bojeni/img/3.svg");

}
.bj-about__value:nth-child(4) .bj-about__value-icon {
    background-image: url("/local/templates/bojeni/img/6.svg");
}
.bj-about__value:nth-child(5) .bj-about__value-icon {
    background-image: url("/local/templates/bojeni/img/5.svg");
}
.bj-about__value-icon {
    flex-shrink: 0;
    width: 100px;
    height: 100px;
    background-image: url("/local/templates/bojeni/img/1.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-color: transparent;
    display: inline-block;
}

.bj-about__value-content {
    flex: 1;
}
.bj-about__value-title {
    font-weight: 400;
    font-size: 32px;
    line-height: 48px;
    letter-spacing: -0.16px;
    vertical-align: middle;
    margin-bottom: 10px;
}
.bj-about__value-desc {
    font-weight: 300;
    font-size: 20px;
    line-height: 30px;
    letter-spacing: -0.16px;
    vertical-align: middle;
    max-width: 100%;
}


/* Типографика */
.bj-about__lead {
    font-size: 40px;
    font-weight: 400;
    text-align: center;
    margin-bottom: 40px;
    line-height: 120%;
}
.bj-about__text {
    font-size: 20px;
    font-weight: 300;
    text-align: center;
    max-width: 1480px;
    line-height: 120%;
}
.bj-about__text--center {
    text-align: center;
    max-width: 1196px;
    margin-left: auto;
    margin-right: auto;
}
.bj-about__text--light {
    color: var(--about-light);
}

.bj-about__title {
    font-size: 40px;
    font-weight: 400;
    margin-bottom: 20px;
}
.bj-about__title--light {
    color: var(--about-light);
}
.bj-about__title--center {
    text-align: center;
}
.bj-about__title--large {
    font-size: 40px;
    line-height: 1.2;
    margin-bottom: 30px;
}

/* Галерея */
.bj-about__gallery {
    display: flex;
    gap: 20px;
    margin-top: 60px;
    justify-content: center;
}


/* Заключение */
.bj-last__section {
    padding-top: 63px;
    padding-bottom: 202px;
}
.bj-about__closing {
    font-weight: 400;
    font-size: 40px;
    line-height: 120%;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    max-width: 1000px;
    margin: 0 auto;
}


/* About — адаптив */
@media (max-width: 1400px) {
    .bj-about__container--split {
        grid-template-columns: 1fr;
        padding: 130px 28px;
    }
    .bj-about__col-img {
        min-height: 400px;
    }
    .bj-about__gallery-item {
        width: 100%;
        max-width: 586px;
    }
    .bj-about__gallery-item--wide {
        max-width: 712px;
    }
    .bj-about__gallery {
        flex-wrap: wrap;
        justify-content: center;
    }
}
@media (max-width: 1200px) {
    .bj-about__hero {
        height: 631px;
    }
    .bj-about__hero-content {
        padding-top: 0;
        padding-bottom: 63px;
        gap: 13px;
    }

    .bj-about__container {
        padding: 0 28px;
    }

    .bj-about__lead {
        font-size: 28px;
    }
    .bj-about__title {
        font-size: 28px;
    }
    .bj-about__title--xl {
        font-size: 36px;
    }
    .bj-about__value {
        gap: 30px;
    }
    .bj-about__story-card {
        padding: 60px 24px;
        background: #20000A;
        width: 95%;
    }
    .bj-story__title {
        color: #E6E0D7;
        font-size: 24px;
        line-height: 35px;
        letter-spacing: -0.16px;
    }

    .bj-about__story-img {
        width: 80%;
        height: 75%;
        margin: 0 auto 20px;
    }
    .bj-story__tex {
        color: #E6E0D7;
        line-height: 20px;
        letter-spacing: -0.16px;
        margin-top: 20px;
        width: 100%;
        max-width: unset;
    }
    .bj-story__title br,
    .bj-story__tex br {
        display: none;
    }
    .bj-about__values {
        padding: 20px 0 0;
    }
    .bj-rec__title {
        font-size: 28px;
    }
    .bj-about__section--rec {
        padding: 61px 0 0;
    }
    .bj-mission__section {
        padding-top: 60px;
        padding-bottom: 62px;
    }
    .bj-mission__title {
        font-size: 28px;
        margin-bottom: 20px;
    }
    .bj-mission__container {
        padding: 0 28px;
    }
    .bj-target__section {
        padding-top: 60px;
    }
}

@media (max-width: 768px) {
    .bj-about__hero-tagline {
        font-size: 24px;
    }

    .bj-about__story-card {
        padding: 20px 10px;
        max-height: 474px;
        top: 47%;
    }
    .bj-about__story-img {
        width: 267px;
        height: 186px;
    }
    .bj-story__tex {
        font-size: 16px;
    }
    .bj-about__value {
        flex-direction: column;
        gap: 12px;
        justify-content: center;
    }

    .bj-about__section--first {
        padding: 42px 0 19px;
    }
    .bj-about__container {
        padding: 0 10px;
    }
    .bj-about__value-title {
        text-align: center;
    }
    .bj-about__lead {
        font-size: 24px;
        line-height: 30px;
        letter-spacing: -0.16px;
        margin-bottom: 20px;
    }
    .bj-about__text {
        font-size: 16px;
        line-height: 20px;
        letter-spacing: -0.16px;
    }

    .bj-about__container--split {
        padding: 89px 10px;
        justify-content: center;
        align-items: center;
    }
    .bj-about__section--dark {
        min-height: 627px;
    }
    .bj-about__title {
        font-size: 24px;
        line-height: 35px;
        letter-spacing: -0.16px;
        text-align: center;
        vertical-align: middle;
    }
    .bj-about__split-text-two,
    .bj-about__split-text {
        font-size: 16px;
        line-height: 20px;
        letter-spacing: -0.16px;
        text-align: center;
    }
    .bj-about__split-text-two {
        margin-top: 17px;
    }

    .bj-rec__title {
        margin-bottom: 9px;
        font-size: 24px;
        line-height: 35px;
        letter-spacing: -0.16px;
    }
    .bj-rec__text {
        margin: 21px auto;
        font-size: 16px;
        line-height: 20px;
        letter-spacing: -0.16px;
    }
    .bj-rec__gallery {
        gap: 0;
        margin-top: 39px;
        min-height: 382px;
    }

    .bj-mission__container {
        padding: 0 10px;
    }
    .bj-mission__text br, .bj-mission__title br {display: none}
    .bj-mission__title {
        margin-bottom: 21px;
        font-size: 24px;
        line-height: 35px;
        letter-spacing: -0.16px;
    }
    .bj-mission__text {
        font-size: 16px;
        line-height: 20px;
        letter-spacing: -0.16px;
    }
    .bj-mission__gallery {
        flex-wrap: nowrap;
        overflow-x: auto;
        gap: 12px;
        -webkit-overflow-scrolling: touch;
        margin-top: 39px;
    }

    .bj-about__gallery-item {
        width: 259px !important;
        height: 259px !important;
        min-width: 259px;
        aspect-ratio: auto;
        flex-shrink: 0;
    }
    .bj-mission__gallery::-webkit-scrollbar {display: none;}
    .bj-mission__gallery {scrollbar-width: none;}
    .bj-mission__gallery {-ms-overflow-style: none;}



    .bj-target__section {
        padding-bottom: 29px;
    }

    .bj-about__values {
        padding: 39px 20px 0;
    }
    .bj-about__values {
        gap: 8px;
    }
    .bj-about__title--xl {
        font-size: 24px;
        line-height: 35px;
    }
    .bj-about__value-title {
        margin-bottom: 10px;
        font-size: 20px;
        line-height: 35px;
    }
    .bj-about__value-desc {
        font-weight: 300;
        font-size: 16px;
        text-align: center;
    }

    .bj-last__section {
        padding: 30px 2px 100px;
    }
    .bj-about__closing br {display: none}
    .bj-about__closing {
        font-size: 24px;
        line-height: 35px;
        letter-spacing: -0.16px;
    }
}
